Jitsi Meet (Docker-Compose)
===========================

A single-instance [Jitsi Meet](https://jitsi.org/jitsi-meet/) server that can be run behind [Traefik](https://traefik.io).

Requirements
------------

- Ansible (implemented and tested with v2.9)
- Ubuntu or Debian server
- [Docker Engine](https://docs.docker.com/install/) + [Docker Compose](https://docs.docker.com/compose/install/)
- Optional: Traefik

Role Variables
--------------

| Variable                             | Description                                                                                                                                                 | Default                                        |
| ---------------------------          | -------------------------------------------------------------------------------                                                                             | ------------------                             |
| docker_user                          | The user who is going to manage/run the Docker Compose services                                                                                             | deploy                                         |
| jitsi_build_latest_image_from_source | Will fetch the master of `jitsi_docker_upstream_repo_url` and build the docker image as sometimes the latest available images in the Docker Hub are too old | yes                                            |
| jitsi_docker_upstream_repo_url       | Git repo of docker-jitsi-meet required by `jitsi_build_latest_image_from_source`                                                                            | https://github.com/jitsi/docker-jitsi-meet.git |
| *jitsi_letsencrypt_email*            | E-Mail adress used for requesting certificates                                                                                                              | Not set                                        |
| jitsi_docker_host_address            |                                                                                                                                                             |                                                |
| jitsi_enable_letsencrypt             | Jitsi will take care of Let's Encrypt certificates                                                                                                          | 0                                              |
| jitsi_enable_third_party_requests    | Whether to allow third party requests, e.g. to Gravatar (if a user sets her email address)                                                                  | no                                             |
| jitsi_exposed_http_port              | Exposed container port for HTTP                                                                                                                             | 8000                                           |
| jitsi_exposed_https_port             | Exposed container port for HTTPS                                                                                                                            | 8443                                           |
| jitsi_jibri_recorder_password        | Provide a secure password\*                                                                                                                                 |                                                |
| jitsi_jibri_recorder_user            |                                                                                                                                                             |                                                |
| jitsi_jibri_xmpp_password            |                                                                                                                                                             |                                                |
| jitsi_jibri_xmpp_user                |                                                                                                                                                             |                                                |
| jitsi_jicofo_auth_password           |                                                                                                                                                             |                                                |
| jitsi_jicofo_auth_user               |                                                                                                                                                             |                                                |
| jitsi_jicofo_component_secret        |                                                                                                                                                             |                                                |
| jitsi_jigasi_xmpp_password           |                                                                                                                                                             |                                                |
| jitsi_jigasi_xmpp_user               |                                                                                                                                                             |                                                |
| jitsi_jvb_auth_password              |                                                                                                                                                             |                                                |
| jitsi_jvb_auth_user                  |                                                                                                                                                             |                                                |
| jitsi_jvb_stun_servers               |                                                                                                                                                             | meet-jit-si-turnrelay.jitsi.net:443            |
| jitsi_web_channel_last_n             | Performance: Limit video streams to the last N speakers (-1 = unlimited)                                                                                    | 3                                              |
| jitsi_public_url                     | The public URL under which Jitsi Meet can be accessed                                                                                                       | http://localhost                               |
| jitsi_timezone                       |                                                                                                                                                             | Europe/Amsterdam                               |
| jitsi_virtual_host                   | The virtual host that is e.g. used by Traefik, usually part of the public url                                                                               | localhost                                      |

\* It is important to provide a dedicated secure password for each service. Generate passwords with e.g. `openssl rand -hex 16`

Dependencies
------------



Example Playbook
----------------

License
-------

MIT

Author Information
------------------

This role was created in 2020 by [Jan Beilicke](https://jotbe.io).
